#include <NTPClient.h>
#include <ESP8266WiFi.h>
#include <WiFiUdp.h>

const char *ssid     = "XXXXXXXXX";     //Название WIFI сети
const char *password = "XXXXXXXXX";     //Пароль

// NTP сервер
WiFiUDP ntpUDP;
NTPClient timeClient(ntpUDP, "pool.ntp.org", 10800, 60000); // ТАЙМЗОНА(в сек.)  соединение 1 раз/минута

//WДень недели
String weekDays[7]={"Воскресенье", "Понедельник", "Вторник", "Среда", "Четверг", "Пятница", "Суббота"};

//Название месяца
String months[12]={"Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"};

void setup() {
  Serial.begin(115200);
  
  Serial.print("Соединение с сетью ");
  Serial.println(ssid);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }

// Инициализация NTPClient
  timeClient.begin();
}

void loop() {
  timeClient.update();

  unsigned long epochTime = timeClient.getEpochTime();
//  Serial.println("время UNIX: ");
//  Serial.println(epochTime); 
 

  
  // Часы
  int currentHour = timeClient.getHours();
  Serial.print("Часы: ");
  Serial.println(currentHour);  

  // Минуты
  int currentMinute = timeClient.getMinutes();
  Serial.print("Минуты: ");
  Serial.println(currentMinute); 

   // Секунды
  int currentSecond = timeClient.getSeconds();
  Serial.print("Секунды: ");
  Serial.println(currentSecond);  

  // День недели
  String weekDay = weekDays[timeClient.getDay()];
  Serial.print("День недели: ");
  Serial.println(weekDay);    

  //Get a time structure
  struct tm *ptm = gmtime ((time_t *)&epochTime); 

  // Число
  int monthDay = ptm->tm_mday;
  Serial.print("Число: ");
  Serial.println(monthDay);

  // Месяц
  int currentMonth = ptm->tm_mon+1;
  Serial.print("Месяц: ");
  Serial.println(currentMonth);

  // Название месяца
  String currentMonthName = months[currentMonth-1];
  Serial.print("Название месяца: ");
  Serial.println(currentMonthName);

  // Год
  int currentYear = ptm->tm_year+1900;
  Serial.print("Год: ");
  Serial.println(currentYear);

  //Полные Дата и Время:
  String currentDate = String(currentYear) + "-" + String(currentMonth) + "-" + String(monthDay);
  String formattedTime = timeClient.getFormattedTime();
  Serial.print(currentDate);
  Serial.print(" ");
  Serial.println(formattedTime); 

  Serial.println("");

  delay(5000);
}
